CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
csl::SoundFileMetadata Class Reference

Class SndFileMetadata holds the ID3 tags of a sound file. More...

`#include <SoundFile.h>`

List of all members.

## Public Member Functions
| SoundFileMetadata ()
| ~SoundFileMetadata ()
void | dump ()
| pretty-print the receiver

## Public Attributes
std::string | mTitle
| ID3 tag fields.
std::string | mArtist
std::string | mAlbum
unsigned | mYear
std::string | mComment
unsigned | mTrack
std::string | mGenre
unsigned | mBitRate
| encoding data
unsigned | mSampleRate
unsigned | mChannels
unsigned | mLength

## Detailed Description

Class SndFileMetadata holds the ID3 tags of a sound file.

Definition at line 72 of file SoundFile.h.

## Constructor & Destructor Documentation

SoundFileMetadata::SoundFileMetadata | ( |  | ) |

Definition at line 15 of file SoundFile.cpp.

csl::SoundFileMetadata::~SoundFileMetadata | ( |  | ) |
| inline

Definition at line 88 of file SoundFile.h.

## Member Function Documentation

void SoundFileMetadata::dump | ( |  | ) |

pretty-print the receiver

Definition at line 17 of file SoundFile.cpp.

References CSL_WORD_LEN, csl::logMsg(), mAlbum, mArtist, mBitRate, mChannels, mGenre, mLength, mSampleRate, mTitle, mTrack, and mYear.

## Member Data Documentation

std::string csl::SoundFileMetadata::mTitle

ID3 tag fields.

Definition at line 74 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

std::string csl::SoundFileMetadata::mArtist

Definition at line 75 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

std::string csl::SoundFileMetadata::mAlbum

Definition at line 76 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

unsigned csl::SoundFileMetadata::mYear

Definition at line 77 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

std::string csl::SoundFileMetadata::mComment

Definition at line 78 of file SoundFile.h.

Referenced by csl::Abst_SoundFile::readTags().

unsigned csl::SoundFileMetadata::mTrack

Definition at line 79 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

std::string csl::SoundFileMetadata::mGenre

Definition at line 80 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

unsigned csl::SoundFileMetadata::mBitRate

encoding data

Definition at line 82 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

unsigned csl::SoundFileMetadata::mSampleRate

Definition at line 83 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

unsigned csl::SoundFileMetadata::mChannels

Definition at line 84 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

unsigned csl::SoundFileMetadata::mLength

Definition at line 85 of file SoundFile.h.

Referenced by dump(), and csl::Abst_SoundFile::readTags().

The documentation for this class was generated from the following files:

- CSL/IO/SoundFile.h
- CSL/IO/SoundFile.cpp